Bug 1505898 - [3.6] oadm diagnostics NetworkCheck' timeout due to image 'openshift/diagnostics-deployer' pull failed
Summary: [3.6] oadm diagnostics NetworkCheck' timeout due to image 'openshift/diagnost...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.5.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 3.6.z
Assignee: Ravi Sankar
QA Contact: Meng Bo
URL:
Whiteboard:
: 1505900 1506343 (view as bug list)
Depends On: 1421643 1481550 1481551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 14:13 UTC by Ben Bennett
Modified: 2017-12-07 07:13 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481550
Environment:
Last Closed: 2017-12-07 07:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Origin (Github) 12982 0 None None None 2017-10-24 14:13:46 UTC
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Comment 1 Ben Bennett 2017-10-24 14:14:49 UTC
Fixed by https://github.com/openshift/ose/pull/904

Comment 3 zhaozhanqi 2017-10-25 11:28:00 UTC
why in `oadm diagnostics NetworkCheck --help`.  the following image cannot show the related tag(v3.6.173.0.59) 

  --network-pod-image='registry.access.redhat.com/openshift3/ose': Image to use for network diagnostic pod
      --network-test-pod-image='registry.access.redhat.com/openshift3/ose-deployer': Image to use for network diagnostic
test pod

But 3.5 works well

      --network-pod-image='registry.access.redhat.com/openshift3/ose:v3.5.5.31.39': Image to use for network diagnostic
pod
      --network-test-pod-image='registry.access.redhat.com/openshift3/ose-deployer:v3.5.5.31.39': Image to use for
network diagnostic test pod

Comment 4 zhaozhanqi 2017-10-25 11:53:22 UTC
*** Bug 1505900 has been marked as a duplicate of this bug. ***

Comment 5 Ravi Sankar 2017-10-30 22:33:23 UTC
@zhaozhanqi 

Tested version v3.6.173.0.59 did not include changes for this bug. Try the latest 3.6 release (v3.6.173.0.62-1) and it should work.

Tested on my local machine and i'm noticing the tag in the image:

      --network-pod-image='openshift/origin:v3.6.173.0.62-1': Image to use for network diagnostic pod
      --network-test-pod-image='openshift/origin-deployer:v3.6.173.0.62-1': Image to use for network diagnostic test pod

Comment 6 zhaozhanqi 2017-10-31 06:12:35 UTC
hi @Ravi Sankar.  
Tested this issue on v3.6.173.0.62 .this NetworkCheck feature is working well 

Just double confirm one issue here in help info:

    --master-config='': Path to master config file (implies --host)
      --network-logdir='/tmp/openshift/': Path to store network diagnostic results in case of errors
      --network-pod-image='registry.access.redhat.com/openshift3/ose:v3.6.173.0.62': Image to use for network diagnostic
pod
      --network-test-pod-image='registry.access.redhat.com/openshift3/ose-deployer:v3.6.173.0.62': Image to use for
network diagnostic test pod


I'm not sure if the registry 'registry.access.redhat.com' is hardcode or any special config since all env are using this as default from 3.5. it has a little not friendly because we need to modify the registry to correct one every time. otherwise it will failed due to pull image. is this expected since it's working well before in 3.4. see:

      --network-pod-image='openshift3/ose:v3.4.1.44.33': Image to use for network diagnostic pod
      --network-test-pod-image='openshift3/ose-deployer:v3.4.1.44.33': Image to use for network diagnostic test pod

Comment 7 Ravi Sankar 2017-10-31 17:48:56 UTC
'registry.access.redhat.com' is not hardcoded, it is derived from DefaultImagePrefix (https://github.com/pravisankar/ose/blob/94efb1f25d4f974ca81bfa7a6c7e2ea36462141f/pkg/cmd/util/variable/imagetemplate.go#L30)
Ideally this should work without modifying the registry manually. Which registry do you have to use to make this work?

@Steve, @Scott I was hoping 'DefaultImagePrefix' in pkg/cmd/util/variable/imagetemplate.go will point to the right location for pulling the container image (this is on non-containerized openshift environment). Do you have any inputs on this?

Comment 8 Ravi Sankar 2017-10-31 19:20:42 UTC
*** Bug 1506343 has been marked as a duplicate of this bug. ***

Comment 9 Ravi Sankar 2017-11-01 23:09:14 UTC
@zhaozhanqi 
Had a chat with @jupierce, I was told that imageConfig.format config param sets the registry used by cluster. 'registry.access.redhat.com' might be coming from that value, what is the value configured in your/QE cluster?

Also which registry do you have to manually use to correctly pull the image?

Comment 13 zhaozhanqi 2017-11-03 01:09:05 UTC
yes, this issue also exists 3.5 and 3.7.

Comment 15 zhaozhanqi 2017-11-22 08:15:04 UTC
Verify this bug since the original issue has been fixed according to comment 6. 

will file another bug to trace the incorrect registry issue mentioned above.

Comment 18 errata-xmlrpc 2017-12-07 07:13:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.